"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const ava_1 = require("ava");
const env_1 = require("../../lib/env");
ava_1.default('method `getConfig` returns package.json specron configuration', (t) => __awaiter(this, void 0, void 0, function* () {
    t.deepEqual(env_1.getConfig(), {
        name: '',
        description: '',
        compiler: {
            build: './build',
            match: ['./src/**/*.sol'],
            severities: ['error', 'warning'],
        },
        flattener: {
            build: './build',
            match: ['./src/**/*.sol'],
            severities: ['error', 'warning'],
        },
        settings: {
            optimization: 200,
        },
        sandbox: {
            port: 8545,
            ttl: 0,
        },
        test: {
            server: true,
            port: 8545,
            match: ['./src/**/*.hay.*'],
            blockTime: null,
        },
        require: ['ts-node/register'],
    });
}));
ava_1.default('method `getConfig` merges received configuration', (t) => __awaiter(this, void 0, void 0, function* () {
    t.deepEqual(env_1.getConfig({
        match: ['foo'],
        port: 100,
        require: ['bar'],
        blockTime: 1,
        optimization: 0,
    }), {
        name: '',
        description: '',
        compiler: {
            build: './build',
            match: ['foo'],
            severities: ['error', 'warning'],
        },
        flattener: {
            build: './build',
            match: ['foo'],
            severities: ['error', 'warning'],
        },
        settings: {
            optimization: 0,
        },
        sandbox: {
            port: 100,
            ttl: 0,
        },
        test: {
            server: true,
            port: 100,
            match: ['foo'],
            blockTime: 1,
        },
        require: ['bar'],
    });
}));
//# sourceMappingURL=env.test.js.map